> ## Documentation Index
> Fetch the complete documentation index at: https://thenile.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List available regions

> Retrieve the list of available region identifiers for a workspace.
Identifiers are composed of a prefix indicating the underlying cloud provider
followed by a region name in that provider. For example `AWS_US_WEST_2` is
associated with the `us-west-2` region (Portland, OR) of AWS.




## OpenAPI

````yaml https://global.thenile.dev/openapi.yaml get /workspaces/{workspaceSlug}/regions
openapi: 3.0.1
info:
  title: Nile ReST API
  description: Making SaaS chill.
  contact:
    email: support@thenile.dev
  version: 0.1.0-1133318
servers:
  - url: https://global.thenile.dev
security: []
paths:
  /workspaces/{workspaceSlug}/regions:
    get:
      tags:
        - databases
      summary: List available regions
      description: >
        Retrieve the list of available region identifiers for a workspace.

        Identifiers are composed of a prefix indicating the underlying cloud
        provider

        followed by a region name in that provider. For example `AWS_US_WEST_2`
        is

        associated with the `us-west-2` region (Portland, OR) of AWS.
      operationId: listRegions
      parameters:
        - name: workspaceSlug
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Available regions
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
                  enum:
                    - AWS_US_WEST_2
                    - AWS_EU_CENTRAL_1
                    - AZURE_EASTUS
      security:
        - jwtBearerAuth: []
components:
  securitySchemes:
    jwtBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````